Unity plugin V4 [deprecated]

At a glance:  The Unity V4 plugin is deprecated. We recommend migrating to the Unity V6 plugin to fully enable app attribution and reporting for mobile apps developed on the Unity development platform. 

Unity.png

Migrating to Unity plugin V6

A Unity plugin V6 is available, allowing app owners and developers to support iOS 14. The V6 plugin also includes significant API method changes from previous versions. To update your plugin from an earlier (V4) version, requires removing/replacing the old plugin. See the full Unity V6 plugin integration guide for developers.

1. Visão geral - Unity V4

O SDK da AppsFlyer Unity fornece funcionalidades de instalação de aplicativos móveis e gravação de eventos aos projetos Unity para Android e iOS. Controle instalações, sessões e eventos in-app para avaliar o ROI e os níveis de engajamento do usuário do aplicativo.

Os aplicativos móveis desenvolvidos na plataforma Unity só precisam ser integrados ao SDK da AppsFlyer uma vez para oferecer suporte às instalações de atribuição dos aplicativos gerados para Android e iOS.

Este guia explica como integrar o SDK da AppsFlyer ao seu código Unity para uso em aplicativos iOS e Android.

1.1 Visão geral da integração do SDK

Guia Conteúdo Resultado

[Obrigatório] Integração

Como adicionar e configurar o SDK.

O painel do aplicativo mostra:

  • Nova instalação orgânica
  • Nova instalação não orgânica

[Recommended]
Core APIs

Como usar as principais APIs do SDK para:

  • Controlar eventos in-app
  • Controlar receita
  • Realizar links diretos
  • Reunir dados de conversão

O painel do aplicativo mostra:

  • Eventos in-app
  • Receita

Pronto para:

  • Realizar links diretos

APIs adicionais

Como implementar e usar APIs adicionais para:

  • Métrica de desinstalações
  • Indicações (atribuição de convite de usuário)
  • Notificações push

Pronto para:

  • Medir desinstalações
  • Indicações
  • Interações do usuário com notificações push
  • Lidar com cenários de privacidade do usuário e muito mais.

Referência da API

Referência rápida da API do SDK para desenvolvedores

1.2 Compatibilidade com o SDK

O SDK da AppsFlyer suporta:

Este artigo foi útil?

Artigos nessa seção